/*
    Project: TCGINA
    Version: V1.23
    File   : pwdlg.h

    Copyright (c) 2005-2008 Author of TCGINA DLL. All rights reserved.
    Public Key Fingerprint: 294B A769 4A0A CC05 DAE6 00DD FF47 8C72 4097 67CE

    Covered by TrueCrypt License 2.3 the full text of which is contained
    in the file License.txt included in TCGINA binary and source code
    distribution archives.

    The copyright notice of this source code file and the public key
    fingerprint must be retained in full.
*/

#ifndef __PWDLG_H_D47DF546F16B490bA6D8523603A5594D
#define __PWDLG_H_D47DF546F16B490bA6D8523603A5594D

#include "pwdlgrc.h"

#define CP_UTF16 (CP_UTF8+1)

typedef struct
{
    LPCTSTR pszCaption;
    UINT    uCodePage;
    void    *pPassword;
    DWORD   cbPasswordSize;
    DWORD   dwMinPasswordLength;
    DWORD   dwMaxPasswordLength;
    DWORD   dwTimeout;
    DWORD   dwTotalTimeout;
    BOOL    fDisplayPassword;

    /* temporary buffers */
    LPWSTR  pwszTempPassword;
#ifndef NO_PASSWORD_CONFIRMATION_DIALOG
    LPWSTR  pwszConfirmation;
#endif

    /* internal data */
    HWND    hwndOk;
    HWND    hwndPassword;
#ifndef NO_PASSWORD_CONFIRMATION_DIALOG
    HWND    hwndConfirmation;
    HWND    hwndQuality;
#endif
    HWND    hwndLang;
    HWND    hwndNumLock;
    HWND    hwndCapsLock;
    HWND    hwndDisplayPassword;
    DWORD   dwPrevKeyboardStatus;
    DWORD   dwFirstStartTime;
    DWORD   dwStartTime;
    WORD    wPrevLangId;
    BOOL    fRealTimeVerification;
    WPARAM  wPasswordCharacter;
} PASSWORD_DIALOG_DATA, *PPASSWORD_DIALOG_DATA;

#ifdef __cplusplus
extern "C" {
#endif

INT_PTR CALLBACK PasswordDialogProc(HWND hwndDlg, UINT uMsg,
  WPARAM wParam, LPARAM lParam);

#ifdef __cplusplus
}
#endif

#endif
